Bug 323181

Summary: Pressing Esc should cancel loading a folder
Product: dolphin Reporter: Kai Uwe Broulik <kde>
Component: generalAssignee: Dolphin Bug Assignee <dolphin-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist    
Priority: NOR    
Version: 4.10.97   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 4.12.0

Description Kai Uwe Broulik 2013-08-05 08:06:42 UTC
When I am connecting to an FTP server, pressing Esc does nothing. It should cancel loading/connecting like clicking the (X) in the status bar would.

Reproducible: Always

Steps to Reproduce:
1. Connect to FTP server
2. Press Esc
3.
Actual Results:  
Nothing happens

Expected Results:  
It cancels loading
Comment 1 Frank Reininghaus 2013-08-06 09:06:41 UTC
Thanks for the idea! I agree that this makes sense.
Comment 2 Frank Reininghaus 2013-10-16 21:00:43 UTC
Git commit 1a997903fd6630cd3f3b7c06932ec42eca85c980 by Frank Reininghaus.
Committed on 16/10/2013 at 20:37.
Pushed by freininghaus into branch 'master'.

Abort loading the current URL if the user presses Escape
FIXED-IN: 4.12.0
REVIEW: 113234

M  +1    -0    dolphin/src/kitemviews/kitemlistcontroller.cpp
M  +5    -0    dolphin/src/kitemviews/kitemlistcontroller.h
M  +6    -5    dolphin/src/views/dolphinview.cpp
M  +2    -1    dolphin/src/views/dolphinview.h

http://commits.kde.org/kde-baseapps/1a997903fd6630cd3f3b7c06932ec42eca85c980